Get the wallet
curl --request GET \
--url https://api-sandbox.circle.com/v1/borrow/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/borrow/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/borrow/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9c1b2a3d-4e5f-6071-8293-a4b5c6d7e8f9",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f9f68C",
"owners": [
{
"id": "1f2e3d4c-5b6a-7980-1234-56789abcdef0",
"userId": "2a3b4c5d-6e7f-8091-2345-6789abcdef01",
"ownerType": "passkey",
"publicKey": "0x04b0a1c2d3e4f5061728394a5b6c7d8e9f00112233445566778899aabbccddeeff",
"credentialId": "a1b2c3d4e5f60718",
"status": "active",
"addedDate": "2026-06-20T14:10:00.000Z"
}
],
"depositAddresses": {
"USDC": "0x5a0b4a11d3f9b2c1e8a7d6c5b4a39281f0e1d2c3",
"cirBTC": "0xbb81dcaf9e7a6b5c4d3e2f1908172635445362718"
},
"createDate": "2026-06-20T14:10:00.000Z"
}
]
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}Get the wallet
Returns the wallet as a single-element array.
GET
/
v1
/
borrow
/
wallets
Get the wallet
Was this page helpful?